Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040239
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2019-02-19 16:272019-03-28 14:56
ReporterfranciscoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revisionae1bc7348ee3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040239: Bug in Journal Entries Report

DescriptionThe Primary Filter 'Organization' does not default to correct organization where the payment has been processed when navigating from the General Ledger report
Steps To Reproduce1) Navigate to General Ledger Report window and enter the information chosing the Organization ,and the dates 'From' 'To'. click search
3) Click on Date of any transaction which will open Journal Entries Report.
4) The organization that opens in Journal Entries Report by default is * and not the one it was selected in the previous window.
Proposed SolutionIt should appear by default the previous organization
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0040433 closedAtulOpenbravo Journal Entries Report, wrong General Ledger by default 

-  Notes
(0110076)
AtulOpenbravo (developer)
2019-02-25 19:44

- Login in as F&B International Group Admin & make sure Login profile organization is set as "F&B Region Norte"
- Navigate to General Ledger Report window and enter the information chosing the Organization as "F&B Espana" ,and the dates 'From' as "01-01-2018" and 'To' as "31-12-2018". click search
- Click on Date of any transaction which will open Journal Entries Report.
- The organization that opens in Journal Entries Report by default the same that was used in General Ledger Report Window as default.
- Close all windows / reports.
- Navigate to Financial Management > Accounting > Analysis Report > Journal Entries Report.
- Realize that Organization filter is same as login profile organization i.e "F&B Region Norte".
(0110300)
hgbot (developer)
2019-03-07 17:53

Repository: erp/devel/pi
Changeset: ae1bc7348ee32bc6c73260893511a2bd3eef674f
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Feb 26 00:08:06 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/ae1bc7348ee32bc6c73260893511a2bd3eef674f [^]

Fixes Issue 0040239:Bug in Journal Entries Report

When accessing Journal Entries Report from General Ledger Report
apply organization filter from General Ledger Report in Journal
Entries Report.

---
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.java
---
(0110301)
Sandrahuguet (developer)
2019-03-07 17:54

Code review + testing OK
(0110852)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-02-19 16:27 francisco New Issue
2019-02-19 16:27 francisco Assigned To => Triage Finance
2019-02-19 16:27 francisco Modules => Core
2019-02-19 16:27 francisco Triggers an Emergency Pack => No
2019-02-25 10:55 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2019-02-25 12:24 AtulOpenbravo Status new => scheduled
2019-02-25 19:44 AtulOpenbravo Note Added: 0110076
2019-03-07 17:53 hgbot Checkin
2019-03-07 17:53 hgbot Note Added: 0110300
2019-03-07 17:53 hgbot Status scheduled => resolved
2019-03-07 17:53 hgbot Resolution open => fixed
2019-03-07 17:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ae1bc7348ee32bc6c73260893511a2bd3eef674f [^]
2019-03-07 17:54 Sandrahuguet Review Assigned To => Sandrahuguet
2019-03-07 17:54 Sandrahuguet Note Added: 0110301
2019-03-07 17:54 Sandrahuguet Status resolved => closed
2019-03-07 17:54 Sandrahuguet Fixed in Version => 3.0PR19Q2
2019-03-21 17:38 rafaroda Relationship added related to 0040433
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110852


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker